import { WorkboxPlugin } from 'workbox-core';
export interface Options {
    awaitResponse?: boolean;
    firebase?: {
        version?: string;
        config?: object;
    };
    constraints?: {
        types?: string | string[];
        https?: boolean;
        ignorePaths?: (string | RegExp)[];
    };
}
declare class FirebaseAuthPlugin implements WorkboxPlugin {
    private readonly constraints;
    private readonly awaitResponse;
    private readonly auth;
    constructor(options?: Options);
    requestWillFetch: WorkboxPlugin['requestWillFetch'];
    fetchDidSucceed: WorkboxPlugin['fetchDidSucceed'];
    private getIdToken;
    private authorizeRequest;
    private shouldAuthorizeRequest;
    private hasCorrectType;
}
export default FirebaseAuthPlugin;
